[Numpy-discussion] Numpy-1.0.3 RPM install failure on SUSE 10.2

David Cournapeau david@ar.media.kyoto-u.ac...
Sun Jun 10 00:35:22 CDT 2007


rex wrote:
>
> I tried Debian a couple of years ago and the Devil I know (somewhat)
> seemed a better choice. Perhaps I should try again.
Debian installer improved a lot the last few years. Otherwise, try 
Ubuntu, which is easier to install than mac os x on supported hardware 
(I am not kidding). Both distributions have correct blas, lapack and 
testers/timers (I basically copied their scheme and adapted it for the 
rpms_). They also package atlas correctly.
>
> Ah, I had this problem the last time also, and Robert Kern kindly
> suggested the same thing. I'd totally forgotten about it. :(
This one has nothing to do with Suse, at least. When compiling 
softwares, you have to install a lot of -devel (-dev on debian) 
packages. This kind of information should be easy to add to the wiki, 
though.
>
> Today it responded and I installed Numpy, LAPACK and refblas from there
> using the Smart package manager. It works. :)
Good to hear. I can update to 1.0.3 if you need it. Note that because it 
uses the reference blas and lapack, it will be relatively slow compared 
to say ATLAS or MKL. But I took quite a great care to package blas and 
lapack with their testers and timers, dynamically linked to blas and 
lapack, so that you can use them to test other implementations (say ATLAS).

David


More information about the Numpy-discussion mailing list